#ifndef SMSMAP_H_INCLUDED
#define SMSMAP_H_INCLUDED

int SMSMap(char fileName[])
{
    FILE *fileStream;
    //Load the file for streaming
    fileStream = fopen(fileName, "rb");

    //Check if the file stream loaded
    if (fileStream == NULL)
    {
        cout << "File not found.";
        return -1;
    }

     //Declare file-reading variables
     int zeroes = 0, readByte, arrayIndex = 0;

     //This is where the scanning of the file begins
     while (readByte != EOF)
    {
        //The MLM format is a direct translation of the file format used in Lemmings. Only EOF needs to be checked.
        readByte = fgetc(fileStream);
        if (readByte != EOF)
        {
            mapFormat[arrayIndex] = readByte;
            arrayIndex++;
        }
    }
    //Close the file
    fclose (fileStream);

    //Display the stored data
    /*for (int j=0; j<arrayIndex; j++)
    {
        cout << hex << (int)mapFormat[j] << dec << " ";
    }*/

    return arrayIndex;
}

#endif // SMSMAP_H_INCLUDED
